Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
[RÉSOLU] Correction des objectifs: Tamron 24-70 g2
#21
(29-01-20, 13:48)darkshot a écrit :
Code :
exiftool  _MG_2527.CR2 | grep -ai lens
Lens Type                       : Canon EF 300mm f/2.8L IS II USM or Tamron Lens
Retract Lens On Power Off       : Disable
USM Lens Electronic MF          : Enable After AF
Lens Drive When AF Impossible   : Stop Focus Search
Lens Info                       : 24-70mm f/0
Lens Model                      : TAMRON SP 24-70mm F/2.8 Di VC USD G2 A032
Lens Serial Number              : 0000000000
Lens                            : 24.0 - 70.0 mm
Lens ID                         : Tamron SP 24-70mm f/2.8 Di VC USD G2 (A032)
Lens                            : 24.0 - 70.0 mm (35 mm equivalent: 29.0 - 84.5 mm)


Code :
Lens Type                       : Canon EF 300mm f/2.8L IS II USM or Tamron Lens
 
ça c'est le comble!!!

Sur exiv2 voicì les résultats de la recherche sur tamron 24-70 g2:

https://dev.exiv2.org/projects/exiv2/sea...+VC+USD+G2

Mais franchement j'ai du mal à suivre. Pas avec l'anglais mais je ne comprends pas si oui ou non quelqu’un à trouvé une solution, et si oui la quelle!

Votre code correspond bien à ma copie d'écran puisqu'il s'agit bien d'exiftool ...
Je suis sous Windows et l'info est bonne. Quant à savoir pourquoi elle ne l'est pas sous Linux, je ne peux hélas rien pour vous. Peut-être une différence de version d'exiv2 (pour Windows c'est la version 0.27.2) ou autre chose ...
Windows 10 Pro 2004 - dt 3.2.1
Répondre
#22
@PascalG
Mon problème ne date pas d'hier mais comme ça commençait à me gonfler, j'ai cherché à mieux comprendre.

Darktable 2.6, 2.7, 3.0, 3.1 même problème
J'ai compilé lensfun dans l'espoir d'une solution: même problème
J'ai compilé exiv2 ( 2.7) même problème

seule consolation le tamron est reconnu "out of the box" dans rawtherapee...
Répondre
#23
pascalG > Je suis sous Windows et l'info est bonne. Quant à savoir pourquoi elle ne l'est pas sous Linux, je ne peux hélas rien pour vous. Peut-être une différence de version d'exiv2 (pour Windows c'est la version 0.27.2) ou autre chose ...

Voir plus haut posté juste avant toi, exiv2 0.26 le voyait déjà sous Manjaro Linux.

@ jpg54 juste pour info c'est quoi ton système, un Ubuntu ou dérivé comme darkshot ?
Répondre
#24
Je pense que c'est exiv2 qui se mélange les pinceaux :
[Image: image.png]
Répondre
#25
(29-01-20, 10:23)JacoTux a écrit : Bonjour darkshot,

Non, pas de problème avec ton fichier, dès l'ouverture l'objectif est bien reconnu.
Fait sous Win10 avec une version dt 3.0

Comme je te le suggérais plus haut :
Essaye avec un raw récupéré sur dpreview, mon lien ci-dessus, si ça fonctionne alors alors tu pourras mettre hors de cause ton installation dt sur ton PC
Dans ce cas c'est peut-être le boîtier qui dialogue mal avec l'objectif, peut-être imaginer une MàJ du firmware du boîtier pas faite.
Voire celui du cailloux (est-ce possible ?)


[Image: Capture.png]

J'ai fait l'essai sur plusieurs raw récupérès, le tamron est vu comme un canon 300...
Répondre
#26
M'ouai

Pas le premier post où exiv2 est montré du doigt, mais pour autant ça fonctionne très bien

Voir ma capture écran plus bas
A gauche du Win10 1909 + dt 3.0
A droite du Manjaro up to date + dt 3.0

Je ne vois plus que deux issues
Le problème se cache dans vos préférences de dt, un petit test en renommant votre dossier avant pour ne rien perdre et partir sur un darktable de base le précisera ou pas
Les compilations ubuntuesques et dérivées merdent, y compris faites en local pour les 3.1.

[Image: Capture-Win10-1909-dt-3-0-vs-Mjro-dt-3-0.png]

Pour information voilà le pkgbuild utilisé pour préparer la compilation sous du Arch, il y est noté toutes les dépendances, rolling release oblige, ce sont les dernières versions connues et sorties de "testing".

Enfin bon, j'espère me tromper, quantité sont sous une buntu ou dérivée quelconque

Accessoirement je ne comprends pas pourquoi une telle application phare ne soit pas dans les dépôts Ubuntu ou au moins dans la branche universe et qu'il faille en passer par un PPA
Répondre
#27
Alors je suis reparti sur une 2.6 de darktable instqallée via synaptic

Pareil: info image me donne bien canon 300, tout comme le module correction des objectifs

Donc?
Répondre
#28
Ce problème est vraiment étrange mais après relecture (et tests), lensfun peut être éliminé du problème puisque l'objectif est bien dans la liste. D'ailleurs, darkshot tu le confirme en indiquant que tu as pu le sélectionner. Donc, Lensfun connaît l'objectif. Et si l'info n'est pas mise à jour dans les données de l'image, c'est lié au lien entre le numéro détecté d'objectifs par rapport aux infos connus de la librairie exiv2 installée sur le système.

Par exemple, j'ai testé le premier RAW de darkshot et j'ai le même problème (lensfun est à jour et j'utilise la version master ; exiv2 0.25 sur Ubuntu 19.10) : l'affichage du Canon 300 mm au lieu du Tamron. Pour l'image de la fille que jacotux a trouvé sur le web (boîtier 5D mark IV), pas d'objectif détecté carrément et je peux du coup sélectionner le Tamron dans la liste d'objectifs (donc Lensfun ok mais Exiv2 merde dans la détection de l'objectif, donc ne permet pas à Lensfun de poser la bonne correction d'objectifs).

Voilà déjà pour ce qu'on peut confirmer. Maintenant, sur Exiv2, on voit que la même version peut fonctionner sur Windows et Linux mais pas forcément sur tous les systèmes Linux. Mais ça ne semble pas non plus être un problème de version d'Exiv2 puisqu'à priori rencontré aussi bien sur Exiv2 0.25 que 0.26, 0.27...

Donc il y a autre chose en lien et probablement pas lié à darktable mais peut-être à une configuration d'Exiv2. Là je ne maîtrise pas assez Exiv2 pour aller plus loin mais ça donne une direction pour trouver l'origine de cet étrange bug !

Pour Rawtherapee, je ne suis pas sûr qu'il utilise Exiv2. Je sais qu'il utilise Lensfun ensuite pour la correction d'objectifs comme darktable mais malgré recherches, je n'ai trouvé aucune mention d'Exiv2 qui serait utilisé par Rawtherapee (évidemment, ça ne veut pas dire que Rawtherapee ne l'utilise pas).
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#29
(29-01-20, 17:23)darkshot a écrit : Alors je suis reparti sur une 2.6 de darktable instqallée via synaptic

Oui mais ce n'est pas une question de version dt, lensfun ou exiv2 , plus haut je montre qu'avec exiv2 0.26 du 28 avril 2017 l'info boîtier/objectif est bien lue.
Ce n'est pas non plus un problème de version dt,  les 2.6.x et 3.x de mon coté ont toutes vues le couple D5 mark IV/objectif sur au moins trois raw (dont le tient) et  même sur un hybride EOS FF type . Testés avec 2 PC différents sous Win10 ou Manjaro + une machine virtuelle sous les Manjaro 17.1 (exiv2 0.26) et 18.1.5 (exiv2 0.27)

Comme je le dis avant, ne reste que des préférences personnelles entre nous (mais je ne vois pas pourquoi) et le système d'exploitation, donc je mise assez fort sur la compilation qui n'est pas conduite forcement pareille dans Arch vs Debian et leur fillottes.

Chez moi j'ai un Mint sur un PC un peu à l'abandon je vais essayer ce soir.
Répondre
#30
Je viens en plus de regarder ce qui est indiqué sur les rapports de bugs Exiv2 (lien partagé par darkshot). Pour qu'Exiv2 fasse le lien entre l'ID de l'objectif via les données EXIF de l'image (exiftool ne sert à rien ici) pour l'associer avec l'objectif (ou ajouter manuellement dans un fichier .exiv2 à la racine du dossier utilisateur. Ok, mais exiv2 (au moins en version 0.25) ne détecte même pas d'ID. Je viens de faire le test sur le premier RAW de darkshot (déjà là on a une source du problème ; comme l'a montré jpg54 d'ailleurs, voir son post plus haut).

j'ai la même chose. En faisant la commande suivante adaptée (expliqué sur le lien suivant : https://dev.exiv2.org/issues/1372), aucun "LensID" détectée donc pas de numéro d'identifiant d'objectif détectée. Et comme il détecté un type d'objectif Canon 300mm, par défaut c'est celui-là qui est affiché) :


Code :
exiv2 -pa --grep Lens fichierimage.cr2

D'après les rapports de bugs cités, la solution serait de créer un fichier '.exiv2' à la racine du dossier utilisateur et d'y coller le code suivant :


Code :
[canon]
491=Tamron SP 24-70mm F/2.8 Di VC USD G2


D'après les recherches et tests faits, le numéro de l'objectif serait 491. Par contre, de ce que j'ai vu, il faut bien au minimum exiv2 0.26 installé (je ne peux donc pas vérifier si ça fonctionne n'ayant que exiv2 0.25 et pas besoin de plus) et apparemment que darktable est dans son code le support de cette option introduite dans exiv2 0.26, à savoir le support de ce fichier .exiv2.

Sur ce dernier point, je ne sais pas si darktable gère ça (et si j'ai bien compris mes lectures sur exiv2). Si un dév passe par là (@aurelienpierre, @pascal...)...

Les liens utilisés pour ces infos :

- tous les liens de cette page partagée plus haut : https://dev.exiv2.org/projects/exiv2/sea...+VC+USD+G2
- ce lien expliquant ce fichier .exiv2 et l'ajout via exiv 0.26 : https://dev.exiv2.org/projects/exiv2/wik...nd_later)/
- https://www.darktable.org/2015/02/on-len...orrection/
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 2 visiteur(s)